#= Totorial of deepconv/arare: rakuraku deepconv
#
# Authors::   SUGIYAMA Ko-ichiro, ODAKA Masatsugu
# Version::   $Id: namelist.rd,v 1.1 2011-06-21 15:42:02 sugiyama Exp $
# Tag Name::  $Name: arare5-20111226 $
# Copyright:: Copyright (C) GFD Dennou Club, 2006. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
#
########################################################################
#
=begin TOPLINK
[((<GFD Dennou Club|URL:http://www.gfd-dennou.org>)) |
((<deepconv Project|URL:http://www.gfd-dennou.org/library/deepconv>))]
[((<deepconv Reference Manual|URL:../index.htm>))]
=end TOPLINK

=begin

= NAMELIST եγ
#*  ̰ϯ,  ,  ã
#  * 2011/02/24  ( ã) . rakuraku.htm ܿ. 


deepconv/arare η׻Ԥ NAMELIST եοȤ, 
ޥξ徺׻뤿ե src/sample_nml 
ѰդƤޤ. 

#  ϵ絤()     : arare-dry.conf,
#  ϵ絤()     : arare-moist.conf,
#  絤           : arare-jupiter.conf
#  ʬŷή : arare-mars.conf


== Ƽ

: ʪ

   &deepconv_main_nml
     FlagTurbulence = "",
   !   FlagTurbulence = "KW1978",
     FlagRadiation  = "",
   !   FlagRadiation  = "HeatConst",
   !   FlagRadiation  = "HeatVary",
   !   FlagRadiation  = "HeatBalance",
     FlagCloudMicroPhys = "",
   !   FlagCloudMicroPhys = "K1969",
   !   FlagCloudMicroPhys = "MarsCond",
     FlagSurfaceHeating = "",
   !   FlagSurfaceHeating = "Diff",
   !   FlagSurfaceHeating = "Bulk",
   /    

: ꥹȤ

ե̾ꤹ. 

  &restartfileio_nml
    InputFile  = "test_thermal_restart.nc",
    OutputFile = "test_thermal_restart2.nc",
  /


: ϥե˴ؤ

 NAMELIST ѿ ((<fileset ⥸塼|URL:../code_reference/classes/fileset.html>)) ɤ߹ޤ. 
#ϥե˴ؤ NAMELIST ѿΤ, HistoryFile  ReStartFile 
#ɬͤꤷʤФʤʤ. InitFile ꤷʤˤ, ǥե
#ȤνͤѤ. RandomFile ϥǥեȤνͤ뤿
#ɬפǡǼե, bin/randomset ¹Ԥ뤳ȤǺ
#. 

  &fileset
    FileTitle    = "2D cumulus model deepconv/arare"
                                        !ǡɽ	
    FileSrc      = "GFD_Dennou_Club deepconv project (arare)"
                                        !ǡ. ǥ̾. 
    FileInst  = "sugiyama@gfd-dennou.org"!եǽŪѹ, ȿ. 
  /


: ʬ˴ؤ

׻ƥå׿ʤɤλʬ˴ؤԤ.  NAMELIST ѿ 
((<timeset ⥸塼|URL:../code_reference/classes/timeset.html>)) ɤ߹
.

  &timeset
    DelTimeLong  = 2.0d0       !Ĺॹƥå
    DelTimeShort = 2.0d-1      !ûॹƥå(ȴϢ)
    RestartTime   = 0.0d0      !ꥹȳϻ
    IntegPeriod  = 3000.0d0    !ʬ
    NumRStat = 100             !ꥹȥե¸ο
  /

: ʻ˴ؤ

 NAMELIST ѿ ((<gridset ⥸塼|URL:../code_reference/classes/gridset.html>)) ɤ߹ޤ. 
2 ׻򤷤, NY = 1, Ymg = 0 Ȥ.

  &gridset_nml
    NX    = 50                 ! X 
    NY    = 1                  ! Y 
    NZ    = 50                 ! Z 
    NCMAX = 3                  ! ؼο
    Xmg   = 5                  ! X ޡ
    Ymg   = 0                  ! Y ޡ
    Zmg   = 5                  ! Z ޡ
  /

: 

ΰ礭ꤹ뤳. 

  &axesset_nml
    Xmax  = 10.0d3             ! X ɸν
    Ymax  = 2.0d2              ! Y ɸν
    Zmax  = 10.0d3             ! Z ɸν
  /


: ʪѥ᥿

ʪ̾Ϳ, ǼưǮʬ̤׻. 
⤷, Ǯʪ̤ۤͿ뤳ȤǤ. 

  &constants_nml
    Grav       = 9.8d0,          !             [m/s]
    PressBasis = 965.0d2,        !(̤)వ [Pa]
    TempSfc      = 300.0d0,      !ɽ̲       [K]
    PressSfc     = 965.0d2,      !ɽ̰       [Pa]
    SpcDrySymbol(1) = 'N2-g',    !ʬβؼ̾
    SpcDryMolFr(1)   = 1.0d0,    !ʬ¸
  !  CpDry        = 10.0d0,       !ʬǮ
  !  MolWtDry     = 1.0d0,        !ʬʬ
  /


: ŷʬ

ꤹ. 

  &composition_nml
    SpcWetSymbol(1)  = 'H2O-g',  !ʬ
    SpcWetSymbol(2)  = 'H2O-s-Cloud', !ʬ
    SpcWetSymbol(3)  = 'H2O-s-Rain',  !ʬ
    SpcWetMolFr(1)   = 0.0d0,  !ʬ¸()
    SpcWetMolFr(2)   = 0.0d0,  !ʬ¸()
    SpcWetMolFr(3)   = 0.0d0,   !ʬ¸()
  /

: 그

그Ԥ.  NAMELIST ѿ ((<damping ⥸塼
|URL:../code_reference/classes/Damping.html>)) ɤ߹ޤ.

  &damping_nml
    Time   = 4.0d2             !ݥؤθ그 e-folding time
    DepthH = 0.0d0             !ݥؤθ(ʿ)
    DepthV = 20.0d3            !ݥؤθ(ľ)
  /

: ϳز

   &dynamics_nml
    AlphaSound = 1.0e-8  !ȸη
    AlphaNDiff = 1.0d-4  !ͳȻη
    ! NDiffRatio = 1.0d0   !®٤ФǴ夲Ͽ 1 ʾˤ. 
   /

: Kessler αʪѥ᥿ꥼ

  &warmrainprm
    FactorJ          = 3.0d0     ! ʪΥѥ᡼
                                 ! Ǥ 3.0d0
                                 ! ϵǤ 1.0d0 Ȥ
    AutoConvTime     = 100.0d0  ! ʻĹλ [sec]
    QMix_AutoConvCr  = 0.0d0    ! ʻĹ׳ [kg/kg]
  /

: Ǥαѥ᥿ꥼ

  &cloudphys_marscond_nml
    DensIce     = 1.565d3     ! ̩ [kg/m^3]
    NumAerosol  = 5.0d8       ! ο̩ [1/kg]
    RadiAerosol = 1.0d-7      ! Ⱦ [m]
    Kd          = 4.8d-3      ! 絤ǮƳ [W/K m]
    SatRatioCr  = 1.0d0       ! ׳˰
    SatRtWetAdia= 1.0d0       ! Ǯʬۤ˰
  /


: Ͷ

  &radiation_simple_nml
    RadHeatRate   = 0.0d0,     !Ͷ礭 [K/day]
    HeightUp   = 10.0d3,    !ͶͿľΰξ
    HeightDown = 0.0d3,     !ͶͿľΰβ
  /


: ήѥ᥿ꥼ

  &turbulence_kw1978_nml
    Cm = 2.0d-1,      !ήͥ륮Ǽη 
    KmMax = 800.0d0,  !ήȻκ
  /


: 


  &initialdata_nml
    FlagInitdata = "default",
  !  FlagInitdata = "Yamasaki1983",
  !  FlagInitdata = "Takemi2007",
  /

  &initialdata_basic
  !  FlagInitdataBasic = "moist",
    FlagInitdataBasic = "dry"  
  !  FlagInitdataBasic = "isothermal"
  /

  &initialdata_disturb
  !  FlagInitdataPTemp = ""
  !  FlagInitdataPTemp = "GaussXY"
    FlagInitdataPTemp = "GaussXZ"
  !  FlagInitdataPTemp = "GaussXYZ"
  !  FlagInitdataPTemp = "random"
                             !̾ʬ, 
                             ! 'Thermal-KW1978' : KW1978 
                             ! 'Thermal-Gauss'  : ʬ
                             ! 'Thermal-Random' : ʬ
                             ! 'HS2001'         : HS2001 
    FlagInitdataExner = ""
  !  FlagInitdataExner = "GaussXZ"
    FlagInitdataQMix = ""
  !  FlagInitdataQMix = "dryregion"
  !  FlagInitdataQMix = "moist"
                             !̾ʬ, 
                             ! 'dryregion' : ΰΰʬ礵
                             ! 'moist' : ꤷм٤
    DelMax       = 1.0d0       !̾κ
    XcRate       = 5.0d-1      !濴(ʿ)ΰФ
    XrRate       = 5.0d-2      !Ⱦ(ʿ)ΰФ
    YcRate       = 5.0d-1      !濴(ʿ)ΰФ
    YrRate       = 5.0d-2      !Ⱦ(ʿ)ΰФ
    ZcRate       = 0.0d0       !濴(ľ)ΰФ
    ZrRate       = 5.0d-2      !Ⱦ(ľ)ΰФ
  /

=end
